stop_token File Reference

Go to the source code of this file.

## Classes

struct | std::nostopstate_t
class | std::stop_callback< _Callback >
class | std::stop_source
class | std::stop_token

## Namespaces

namespace | std

## Macros

#define | __cpp_lib_jthread
#define | _GLIBCXX_STOP_TOKEN

## Functions

template<typename _Callback >
| std::stop_callback (stop_token, _Callback) -> stop_callback< _Callback >

## Variables

constexpr nostopstate_t | std::nostopstate

## Detailed Description

This is a Standard C++ Library header.

Definition in file stop_token.

## Macro Definition Documentation

## __cpp_lib_jthread

#define __cpp_lib_jthread

Definition at line 39 of file stop_token.

## _GLIBCXX_STOP_TOKEN

#define _GLIBCXX_STOP_TOKEN

Definition at line 30 of file stop_token.